package com.cim.idm.wmspackage.inbounddeliveryorder.data;

import java.sql.Timestamp;


public class InnerRequestDetailInfo{

	
	private String siteName;
	private String innerRequestName;
	private String innerRequestDetailName;
	private String receiveRequestName;
	private String receiveRequestDetailName;
	private String materialSpecName;
	private String charge;
	private String materialQuantity;
	private String receivedQuantity;	
	private String unit;
	private String erpLocation;
	private String erpFactory;
	private String deliveryType;
	private Timestamp erpTime;
	private Timestamp deliveryTime;
	private String supplierNO;
	private String lastEventName;
	private String lastEventTimeKey;
	private Timestamp lastEventTime;
	private String lastEventUser;
	private String lastEventComment;
	private String supplierName;
	private String materialOqaNum;
	private String oqaFlag;
	private String materialSpecDescription;
	private String receiveActNo;
	private String xmlItemName;
	private String makeDate;
	private String seqNO;
	private String receiveTime;
	private String iqcFlag;
	private String preGroupName;
	public String getSiteName() {
		return siteName;
	}
	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	public String getInnerRequestName() {
		return innerRequestName;
	}
	public void setInnerRequestName(String innerRequestName) {
		this.innerRequestName = innerRequestName;
	}
	public String getInnerRequestDetailName() {
		return innerRequestDetailName;
	}
	public void setInnerRequestDetailName(String innerRequestDetailName) {
		this.innerRequestDetailName = innerRequestDetailName;
	}
	public String getReceiveRequestName() {
		return receiveRequestName;
	}
	public void setReceiveRequestName(String receiveRequestName) {
		this.receiveRequestName = receiveRequestName;
	}
	public String getReceiveRequestDetailName() {
		return receiveRequestDetailName;
	}
	public void setReceiveRequestDetailName(String receiveRequestDetailName) {
		this.receiveRequestDetailName = receiveRequestDetailName;
	}
	public String getMaterialSpecName() {
		return materialSpecName;
	}
	public void setMaterialSpecName(String materialSpecName) {
		this.materialSpecName = materialSpecName;
	}
	public String getCharge() {
		return charge;
	}
	public void setCharge(String charge) {
		this.charge = charge;
	}
	public String getMaterialQuantity() {
		return materialQuantity;
	}
	public void setMaterialQuantity(String materialQuantity) {
		this.materialQuantity = materialQuantity;
	}
	public String getUnit() {
		return unit;
	}
	public void setUnit(String unit) {
		this.unit = unit;
	}
	public String getErpLocation() {
		return erpLocation;
	}
	public void setErpLocation(String erpLocation) {
		this.erpLocation = erpLocation;
	}
	public String getErpFactory() {
		return erpFactory;
	}
	public void setErpFactory(String erpFactory) {
		this.erpFactory = erpFactory;
	}
	public String getReceivedQuantity() {
		return receivedQuantity;
	}
	public void setReceivedQuantity(String receivedQuantity) {
		this.receivedQuantity = receivedQuantity;
	}
	public String getDeliveryType() {
		return deliveryType;
	}
	public void setDeliveryType(String deliveryType) {
		this.deliveryType = deliveryType;
	}
	public Timestamp getErpTime() {
		return erpTime;
	}
	public void setErpTime(Timestamp erpTime) {
		this.erpTime = erpTime;
	}
	public Timestamp getDeliveryTime() {
		return deliveryTime;
	}
	public void setDeliveryTime(Timestamp deliveryTime) {
		this.deliveryTime = deliveryTime;
	}
	public String getSupplierNO() {
		return supplierNO;
	}
	public void setSupplierNO(String supplierNO) {
		this.supplierNO = supplierNO;
	}
	public String getLastEventName() {
		return lastEventName;
	}
	public void setLastEventName(String lastEventName) {
		this.lastEventName = lastEventName;
	}
	public String getLastEventTimeKey() {
		return lastEventTimeKey;
	}
	public void setLastEventTimeKey(String lastEventTimeKey) {
		this.lastEventTimeKey = lastEventTimeKey;
	}
	public Timestamp getLastEventTime() {
		return lastEventTime;
	}
	public void setLastEventTime(Timestamp lastEventTime) {
		this.lastEventTime = lastEventTime;
	}
	public String getLastEventUser() {
		return lastEventUser;
	}
	public void setLastEventUser(String lastEventUser) {
		this.lastEventUser = lastEventUser;
	}
	public String getLastEventComment() {
		return lastEventComment;
	}
	public void setLastEventComment(String lastEventComment) {
		this.lastEventComment = lastEventComment;
	}
	public String getSupplierName() {
		return supplierName;
	}
	public void setSupplierName(String supplierName) {
		this.supplierName = supplierName;
	}
	
	public String getXmlItemName() {
		return xmlItemName;
	}
	public void setXmlItemName(String xmlItemName) {
		this.xmlItemName = xmlItemName;
	}
	public String getReceiveActNo() {
		return receiveActNo;
	}
	public void setReceiveActNo(String receiveActNo) {
		this.receiveActNo = receiveActNo;
	}
	public String getMakeDate() {
		return makeDate;
	}
	public void setMakeDate(String makeDate) {
		this.makeDate = makeDate;
	}
	public String getSeqNO() {
		return seqNO;
	}
	public void setSeqNO(String seqNO) {
		this.seqNO = seqNO;
	}
	public String getReceiveTime() {
		return receiveTime;
	}
	public void setReceiveTime(String receiveTime) {
		this.receiveTime = receiveTime;
	}
	public String getMaterialOqaNum() {
		return materialOqaNum;
	}
	public void setMaterialOqaNum(String materialOqaNum) {
		this.materialOqaNum = materialOqaNum;
	}
	public String getOqaFlag() {
		return oqaFlag;
	}
	public void setOqaFlag(String oqaFlag) {
		this.oqaFlag = oqaFlag;
	}
	public String getMaterialSpecDescription() {
		return materialSpecDescription;
	}
	public void setMaterialSpecDescription(String materialSpecDescription) {
		this.materialSpecDescription = materialSpecDescription;
	}
	public String getIqcFlag() {
		return iqcFlag;
	}
	public void setIqcFlag(String iqcFlag) {
		this.iqcFlag = iqcFlag;
	}
	public String getPreGroupName() {
		return preGroupName;
	}
	public void setPreGroupName(String preGroupName) {
		this.preGroupName = preGroupName;
	}
	
}
